> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch alert config for the given model.



## OpenAPI

````yaml /api-specs/6.3/dmm.yaml get /model-monitor/v2/api/notification/model-config/{model_id}
openapi: 3.0.3
info:
  title: Domino Model Monitor API
  description: The API for programmatic access to Domino Model Monitor.
  version: 1.0.1
servers: []
security: []
tags:
  - name: DatasetJob
    description: All Dataset Job related operations.
  - name: DataSource
    description: All data source related operations.
  - name: Model
    description: All Model related operations.
  - name: ModelTag
    description: Operations related to the management of model tags.
  - name: ModelDrift
    description: All Model drift related operations.
  - name: ModelQuality
    description: All Model quality related operations.
  - name: Workbench
    description: All Workbench related operations.
  - name: DefaultSettings
    description: Operations related to drift and model quality defaults setting in DMM.
  - name: UserSettings
    description: Operations related to configuring user related settings for DMM.
  - name: Notification
    description: >-
      Operations related to configuring notification channel config and alert
      recipients for the model.
  - name: Other
    description: Other miscellaneous operations.
  - name: Scheduler
    description: All scheduler related operations
paths:
  /model-monitor/v2/api/notification/model-config/{model_id}:
    parameters:
      - in: path
        name: model_id
        required: true
        schema:
          type: string
    get:
      tags:
        - Notification
      summary: Fetch alert config for the given model.
      operationId: getAlertConfigForModel
      responses:
        '200':
          description: Model Alert Config was fetched successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/modelAlertConfig'
        '400':
          description: Bad request input data.
        '403':
          description: Forbidden. The endpoint enforces permissions.
        '404':
          description: Model Alert Config not found for the given model id.
        '405':
          description: Method not allowed.
        '500':
          description: Internal server error, check server logs.
      security:
        - DominoApiKeyAuth: []
        - DmmApiKeyAuth: []
        - cookieAuth: []
components:
  schemas:
    modelAlertConfig:
      title: Model Alert Config.
      description: Alert config for the model.
      type: object
      properties:
        id:
          description: Model's Alert Config identifier.
          type: string
        createdAt:
          description: Creation timestamp of the Alert Config for the model.
          type: integer
        updatedAt:
          description: Last update timestamp for the Model's alert config.
          type: integer
        modelId:
          description: Unique identifier of the model.
          type: string
        recipients:
          description: recipients for the model's alert.
          type: string
        useGlobalRecipients:
          description: whether or not use the globally configured alert recipients.
          type: boolean
  securitySchemes:
    DominoApiKeyAuth:
      type: apiKey
      in: header
      name: X-Domino-Api-Key
    DmmApiKeyAuth:
      type: apiKey
      in: header
      name: X-DMM-API-KEY
    cookieAuth:
      type: apiKey
      in: cookie
      name: PLAY_SESSION

````